# PCLinuxOS Copyright by Bill Reynolds (Texstar)


Summary: 	GTK program to rip CD audio and encode to mp3, ogg, or flac
Name: 		irongrip
Version: 	0.8
Release: 	%mkrel 1
License: 	GPL
Group: 		Sound
URL: 		https://github.com/LinuxMatt/IronGrip.git
Source: 	%{name}-%{version}.tar.xz
BuildRoot:   	%{_tmppath}/%{name}-buildroot
#-------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
#-------------------------------------
Requires: 	cdparanoia
Requires:	lame
Requires:	flac
Requires:	vorbis-tools
Requires:	gtk+2.0
Requires:	%{_lib}cddb2
#-------------------------------------

%description
IronGrip is a free, open source and easy-to-use graphical software
written in C around the GTK+ toolkit and designed to act as
a handy desktop utility for Audio CD encoding and ripping tasks.


%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}


#-------------- build area -------------------------

%prep
%setup -q


%build
./autogen.sh
%configure2_5x
%make


%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
  
%clean
rm -rf %{buildroot}


%changelog
* Mon Feb 03 2014 bb <bb> 0.8-1pclos2014
- initial pkg


